| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::ResourceSetLoadResult Class Referencefinal

Holds the result of a loading operation for a resource set. More...

## Public Member Functions
| ResourceSetLoadResult () noexcept
nkMemory::BufferCast< Mesh * > & | getMeshes ()
nkMemory::BufferCast< Shader * > & | getShaders ()
nkMemory::BufferCast< Program * > & | getPrograms ()
nkMemory::BufferCast< Sampler * > & | getSamplers ()
nkMemory::BufferCast< Texture * > & | getTextures ()
nkMemory::BufferCast< Node * > & | getScenes ()
nkMemory::BufferCast< Compositor * > & | getCompositors ()
nkMemory::BufferCast< Buffer * > & | getBuffers ()
nkMemory::BufferCast< BlendState * > & | getBlendStates ()
nkMemory::BufferCast< DepthStencilState * > & | getDepthStencilStates ()
nkMemory::BufferCast< RasterState * > & | getRasterStates ()
nkMemory::BufferCast< Camera * > & | getCameras ()
nkMemory::BufferCast< RenderQueue * > & | getRenderQueues ()
Compositor * | getDefaultCompositor () const
void | setDefaultCompositor (Compositor *value)
void | clear ()

## Detailed Description

Holds the result of a loading operation for a resource set.

All resources that have been parsed will be stored in offered structures.

## Constructor & Destructor Documentation

## ◆ ResourceSetLoadResult()

nkGraphics::ResourceSetLoadResult::ResourceSetLoadResult | ( |  | ) |
| noexcept

Constructor.

## Member Function Documentation

## ◆ getMeshes()

nkMemory::BufferCast<Mesh*>& nkGraphics::ResourceSetLoadResult::getMeshes | ( |  | ) |

Returns
  The parsed meshes.

## ◆ getShaders()

nkMemory::BufferCast<Shader*>& nkGraphics::ResourceSetLoadResult::getShaders | ( |  | ) |

Returns
  The parsed shaders.

## ◆ getPrograms()

nkMemory::BufferCast<Program*>& nkGraphics::ResourceSetLoadResult::getPrograms | ( |  | ) |

Returns
  The parsed programs.

## ◆ getSamplers()

nkMemory::BufferCast<Sampler*>& nkGraphics::ResourceSetLoadResult::getSamplers | ( |  | ) |

Returns
  The parsed samplers.

## ◆ getTextures()

nkMemory::BufferCast<Texture*>& nkGraphics::ResourceSetLoadResult::getTextures | ( |  | ) |

Returns
  The parsed textures.

## ◆ getScenes()

nkMemory::BufferCast<Node*>& nkGraphics::ResourceSetLoadResult::getScenes | ( |  | ) |

Returns
  The parsed scenes.

## ◆ getCompositors()

nkMemory::BufferCast<Compositor*>& nkGraphics::ResourceSetLoadResult::getCompositors | ( |  | ) |

Returns
  The parsed compositors.

## ◆ getBuffers()

nkMemory::BufferCast<Buffer*>& nkGraphics::ResourceSetLoadResult::getBuffers | ( |  | ) |

Returns
  The parsed buffers.

## ◆ getBlendStates()

nkMemory::BufferCast<BlendState*>& nkGraphics::ResourceSetLoadResult::getBlendStates | ( |  | ) |

Returns
  The parsed blend states.

## ◆ getDepthStencilStates()

nkMemory::BufferCast<DepthStencilState*>& nkGraphics::ResourceSetLoadResult::getDepthStencilStates | ( |  | ) |

Returns
  The parsed depth and stencil states.

## ◆ getRasterStates()

nkMemory::BufferCast<RasterState*>& nkGraphics::ResourceSetLoadResult::getRasterStates | ( |  | ) |

Returns
  The parsed render states.

## ◆ getCameras()

nkMemory::BufferCast<Camera*>& nkGraphics::ResourceSetLoadResult::getCameras | ( |  | ) |

Returns
  The parsed cameras.

## ◆ getRenderQueues()

nkMemory::BufferCast<RenderQueue*>& nkGraphics::ResourceSetLoadResult::getRenderQueues | ( |  | ) |

Returns
  The parsed render queues.

## ◆ getDefaultCompositor()

Compositor* nkGraphics::ResourceSetLoadResult::getDefaultCompositor | ( |  | ) | const

Returns
  The default compositor parsed.

## ◆ setDefaultCompositor()

void nkGraphics::ResourceSetLoadResult::setDefaultCompositor | ( | Compositor * | value | ) |

Sets the default compositor parsed.

Parameters

  value | The compositor parsed.

## ◆ clear()

void nkGraphics::ResourceSetLoadResult::clear | ( |  | ) |

Clears the structure to its empty state.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Resources/ResourceSetLoadResult.h